import Vue from 'vue';
import App from './App.vue';
import ui from 'element-ui';
import router from './router/router';
import apps from './entries';
import axios from './router/axios';
import utils from './utils';
import vcUI from 'dvcp-ui';
import dvUI from 'dvcp-dv-ui'
import 'dvcp-ui/lib/styles/common.scss';
import 'dvcp-ui/lib/dvcp-ui.css';
import store from './store';
import dataV from '@jiaminghi/data-view';

Vue.use(dataV);

Vue.use(apps);
Vue.use(ui);
Vue.use(vcUI);
Vue.use(dvUI);
//富文本编辑器配置
Vue.config.productionTip = false;
Vue.prototype.$axios = axios;
Vue.prototype.formatContent = (val) => val.replace(/(\r\n)|(\n)/g, '<br>');
Object.keys(utils).map((e) => (Vue.prototype[e] = utils[e]));
utils.$store.init(store);
new Vue({
	router,
	store,
	render: (h) => h(App)
}).$mount('#app');
